/* Copyright (c) 2016-2020 MIT 6.005/6.031 course staff, all rights reserved.
 * Redistribution of original or derived work requires permission of course staff.
 */
package edu.mit.eecs.parserlib;

/**
 * Exception thrown when a sequence of characters doesn't match a grammar
 */
public class UnableToParseException extends Exception {
    /**
     * Exceptions have to be serializable, so they need a unique version number.
     * Providing the version number suppresses the compiler warning.
     */
    private static final long serialVersionUID = -4655011312226849339L;    

    /**
     * Make a parser exception with an error message.
     * @param message error message for user
     */
    public UnableToParseException(String message) {
        super(message);
    }
}
