import { ParseTree } from "./types";
export declare class InternalParseTree<NT> implements ParseTree<NT> {
    readonly name: NT;
    private readonly nonterminalName;
    readonly start: number;
    readonly text: string;
    readonly allChildren: ParseTree<NT>[];
    readonly isSkipped: boolean;
    constructor(name: NT, nonterminalName: string, start: number, text: string, allChildren: ParseTree<NT>[], isSkipped: boolean);
    private checkRep;
    get end(): number;
    private _childrenByName?;
    childrenByName(name: NT): ParseTree<NT>[];
    private _children?;
    get children(): ParseTree<NT>[];
    concat(that: InternalParseTree<NT>): InternalParseTree<NT>;
    toString(): string;
}
